Description

When we load an event layer and we export it to SHP we get an error. It's loaded at the View but an error appears when exporting it.

I attach log file.

Associated revisions
Revision 43423 - 08/09/2017 01:40 PM - Joaquín  del Cerro Murciano

refs #4606, reformateado de codigo

Revision 43424 - 08/09/2017 01:51 PM - Joaquín  del Cerro Murciano

refs #4606, areglado el proveedor de shape para que cuando tenga que crear un shape con un columna de un tipo de datos que no reconozca (por
ejemplo una URL), intente crearla como de tipo string.

Revision 43425 - 08/09/2017 02:15 PM - Joaquín  del Cerro Murciano

refs #4606, areglado el proveedor de CSV para que calcule correctamente el size de los campos de tipo URL, URI y File.

History
#1 - 08/09/2017 11:57 AM - Joaquín  del Cerro Murciano
- Target version set to 2.4.0-2831 (rev. org.gvsig.desktop-2.0.197)

#2 - 08/09/2017 02:20 PM - Joaquín  del Cerro Murciano
- Assignee set to Joaquín  del Cerro Murciano
- Status changed from New to Fixed

Segun el CSV que usase se me producia o no el error.
Con un CVS en el que se reproducia el error el problema era que tenia columnas de tipo URL y el shape no reconocia el tipo y acababa fallando.
He corregido:
    -  Por un lado el proveedor de shape para que cuando no reconozca un tipo de columna lo cree como string e intente conveertir los datos a string a
la hora de guardarlos.
    -  Por otro lado he modificado el proveedor de CSV para que calcule el tamaño de los campos de tipo URL, URI y File de forma similar a como
calcula el size de los campos de tipo string.

No se si eran estos los errores que se te producian.
Cierro el ticket, si no era esto reabrelo y hazme llegar o adjunta el CSV que te da problemas.

#3 - 08/11/2017 12:21 PM - Mario Carrera
- Status changed from Fixed to Closed

Files
gvSIG.log 405 KB 08/08/2017 Mario Carrera
